Rensei docs
API ReferenceOrganization

Replace the organization Sentry project map.

Replace the organization Sentry project map. - Rensei REST API operation reference.

PUT
/api/org/sentry-project-map

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Request Body

application/json
  1. body

Sentry project map replacement.

sentryProjectMap*

Response Body

The updated Sentry project map.

application/json
  1. response

The org Sentry project map.

sentryProjectMap*
connected*boolean
Example Request
curl -X PUT 'https://app.rensei.ai/api/org/sentry-project-map' \  -H 'Content-Type: application/json' \  -d '{  "sentryProjectMap": {    "property1": {      "serviceKey": "string",      "projectId": "string"    },    "property2": {      "serviceKey": "string",      "projectId": "string"    }  }}'
Example Response
{  "sentryProjectMap": {    "property1": {      "serviceKey": "string",      "projectId": "string"    },    "property2": {      "serviceKey": "string",      "projectId": "string"    }  },  "connected": true}